<?php
    include 'header.php';
    if(!isset($_GET[base64_encode('fid')]) || $_GET[base64_encode('fid')] == ""){
        echo '<meta http-equiv="refresh" content="0;URL=leaveSystem.php?#LS">';
        $fid = "";
    } else {
        $fid = base64_decode($_GET[base64_encode('fid')]);
        $query = mysqli_query($con,"SELECT * FROM users u,staff_apply_leave sl WHERE u.id = sl.staff_id AND sl.id=$fid"); 
        $row=mysqli_fetch_array($query);
    }        
?>

<div class="app-content content">
    <div class="content-wrapper">
        <div class="content-body">
            <div class="row">
                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-content">
                                <div class="card-body"> 
                                    <div class="card-header">
                                        <h4 class="card-title" id="striped-row-layout-icons"><b>Leave Application Form</b>
                                        <?php 
                                            if($row['status'] == 1 && $row['emergency'] == 1){
                                                echo'<span class="badge badge-pill badge-warning" style="text-transform:capitalize"><i class="fa fa-exclamation-triangle"></i>&nbsp;Emergency</span>&nbsp;';
                                            }
                                            if( $row['incoming'] == 1){
                                                echo'<span class="badge badge-pill badge-info" style="text-transform:capitalize"><i class="fa fa-bolt"></i>&nbsp;Incoming</span>';
                                            }
                                        ?>
                                        </h4>
                                    </div>
                                    <form class="form form-horizontal striped-rows form-bordered" action="
                                        <?php echo'./actions/applyLeaveUpdate.php?'.base64_encode("fid").'='.base64_encode($row['id']).'&'.base64_encode("status").'='.base64_encode($row['status']);?>" method="post">
                                        <div class="form-body">
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="staffName">Reference No.</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <label for="referenceNo" ><?php echo $fid; ?></label> 
                                                    <span style="float:left"><i class="ft-clipboard" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="staffName">Status</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <label for="formStatus" ><?php 
                                                     if($row['status'] == 1){
                                                        echo  '<div class="badge badge-info" style="padding:6px">Progressing</div>';
                                                    } else if($row['status'] == 2){
                                                        $approved_by = $row['approved_by'];
                                                        $query1 = mysqli_query($con,"SELECT * FROM users WHERE id = $approved_by"); 
                                                        $row1=mysqli_fetch_array($query1);
                                                    echo  '<div class="badge badge-success" style="padding:6px">Approved</div> by <b>'.$row1['username'].'</b>';
                                                    } else {
                                                        $rejected_by = $row['rejected_by'];
                                                        $query1 = mysqli_query($con,"SELECT * FROM users WHERE id = $rejected_by"); 
                                                        $row1=mysqli_fetch_array($query1);
                                                        echo  '<div class="badge badge-danger" style="padding:6px">Rejected</div> by <b>'.$row1['username'].'</b>';
                                                    }  ?>  
                                                </div>
                                            </div>
                                            <?php 
                                                echo '<div class="form-group row" style="display:none"></div>';
                                                echo '
                                                <div class="form-group row" id="divRejectedReason" style="display:none">';
                                                if($admin != 1){
                                                    echo '<label class="col-md-3 label-control" for="txtRejectedReason">Rejected Reason</label>
                                                    <div class="col-md-9" style="margin-top:3px;padding-left:26px">
                                                        <label for="txtRejectedReason" style="margin-top:4px">'.$row["rejected_reason"] .'</label>
                                                        <span style="float:left;margin-top:3.5px;"><i class="ft-file-text" style="margin-right:23px"></i></span>
                                                    </div>';
                                                } else {
                                                    echo '<label class="col-md-3 label-control" for="txtRejectedReason" style="margin-top:5px">Rejected Reason</label>
                                                    <div class="col-md-9">
                                                        <div class="position-relative has-icon-left">
                                                            <textarea id="txtRejectedReason" rows="5" class="form-control" name="rejectedReason" placeholder="">';
                                                                if($row['status'] == 0){
                                                                    echo $row['rejected_reason'];
                                                                }
                                                                echo '</textarea>
                                                                <div class="form-control-position">
                                                                    <i class="ft-file-text"></i>
                                                                </div>
                                                        </div>
                                                    </div>';
                                                }
                                                echo '</div>';
                                            ?>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="staffName">Employee Name</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <label for="staffName"><?php echo $row['username']; ?></label> 
                                                    <span style="float:left"><i class="ft-user" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control"
                                                    for="staffEmail">Employee Email</label>
                                                <div class="col-md-9" style="margin-top:2px;padding-left:26px">
                                                    <label for="staffEmail" style="margin-top:2px"> <?php echo $row['email']; ?></label>
                                                    <span style="float:left;margin-top:3.5px;"><i class="ft-mail" style="margin-right:23px"></i></span>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="rbLeaveType">Type of Leave</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <?php 
                                                        if($row['status'] == 0 || $admin !=1){
                                                            echo '<label for="leaveType">'.$row["leave_type"] .'</label><br/>';
                                                            if($row["leave_type"] == "Annual / Off In Lieu"){
                                                                echo 'Already used: <strong> Annual Leave ('.$row["num_used_annual"];
                                                                if($row["num_used_annual"] > 1) {echo ' days), ';}
                                                                else {echo ' day), ';}
                                                                echo 'Off In Lieu ('.$row["num_used_offinlieu"];
                                                                if($row["num_used_offinlieu"] > 1) {echo ' days)';}
                                                                else {echo ' day)';}
                                                                echo '</strong>';
                                                            }
                                                        } else {
                                                        $sid= $row['staff_id'];
                                                        $query2 = mysqli_query($con,"SELECT * FROM staff_leave WHERE staff_id = $sid");
                                                        $row2=mysqli_fetch_array($query2);
                                                        if($row2['num_annual'] == 0 ){
                                                            if($row2['num_offInLieu'] > 0 ){ 
                                                                echo '<div style="display:inline-block;vertical-align:top"><span style="border-radius:8px;background:#FFCC00;padding:5px;font-size:11px">
                                                                <i class="fa fa-exclamation-circle"></i>&nbsp;&nbsp;No left any annual leave.</span></div><br/><br/>';
                                                            } else {
                                                                echo '<div style="display:inline-block;vertical-align:top"><span style="border-radius:8px;background:#FFCC00;padding:5px;font-size:11px">
                                                                <i class="fa fa-exclamation-circle"></i>&nbsp;&nbsp;No left any annual leave and off in lieu.</span></div><br/><br/>';
                                                            }
                                                        } else {
                                                            if($row2['num_offInLieu'] == 0 ){ 
                                                                echo '<div style="display:inline-block;vertical-align:top"><span style="border-radius:8px;background:#FFCC00;padding:5px;font-size:11px">
                                                                <i class="fa fa-exclamation-circle"></i>&nbsp;&nbsp;No left any off in lieu.</span></div><br/><br/>';
                                                            } 
                                                        }
                                                        
                                                        if($row2['num_annual'] > 0 ){  ?>
                                                            <div class="mr-1" id="divTypeAL" style="display: none">
                                                                <input class="form-control-input" type="radio" name="leaveType" id="rbAnnual" value="Annual"
                                                                    <?php if($row['leave_type'] == "Annual" || $row['leave_type'] == "Annual / Off In Lieu"){ echo 'checked';}?>
                                                                >
                                                                <label class="form-control-label" for="rbAnnual" id="lblAnnual">
                                                                <?php    
                                                                    echo 'Annual Leave  (Balance: <b>'.$row2['num_annual'].'</b>';
                                                                    if($row2['num_annual'] > 1){ echo ' days)';} 
                                                                    else { echo ' day)';}
                                                                    echo'</label>';
                                                                ?>
                                                            </div> 
                                                            <div class="custom-control custom-checkbox mr-1" id="divTypeAL2" style="display:inline-block !important">
                                                                <input type="checkbox" class="custom-control-input" id="chkAnnual" name="chkAnnual" value="1"  
                                                                    <?php if($row['leave_type'] == "Annual" || $row['leave_type'] == "Annual / Off In Lieu"){ echo 'checked';}?>
                                                                >
                                                                <label class="custom-control-label" for="chkAnnual" id="lblAnnual2">
                                                                <?php 
                                                                    echo'Annual Leave (Balance: <b>'.$row2['num_annual'].'</b>';
                                                                    if($row2['num_annual'] > 1){ echo ' days)';} 
                                                                    else { echo ' day)';}
                                                            echo'</label>
                                                                <div id="divNumAL">
                                                                    To use : <input type="number" step="0.5" id="txtAmountAL" class="form-control chkWithNum" style="width:30% !important;" name="numAnnual" value="'.$row['num_used_annual'].'" min="0" max="'.$row2['num_annual'].'"> day(s)
                                                                </div>
                                                            </div>';
                                                            ?>
                                                    <?php } else {
                                                                if($row['leave_type'] == "Annual"){ 
                                                                    echo' <div class="mr-1" id="divTypeAL" style="display: none">
                                                                    <input class="form-control-input" type="radio" name="leaveType" id="rbAnnual" value="Annual" checked>
                                                                    <label class="form-control-label" for="rbAnnual" id="lblAnnual"> Annual Leave </label></div>';
                                                                    echo '<div class="custom-control custom-checkbox mr-1" id="divTypeAL2" style="display:inline-block !important">
                                                                    <input type="checkbox" class="custom-control-input" id="chkAnnual" name="chkAnnual" value="1" checked >
                                                                    <label class="custom-control-label" for="chkAnnual" id="lblAnnual2">Annual Leave </label>
                                                                    <div id="divNumAL">
                                                                        To use : <input type="number" step="0.5" id="txtAmountAL" class="form-control chkWithNum" style="width:30% !important" name="numAnnual" value="'.$row['num_used_annual'].'" min="0" max="20"> day(s)
                                                                    </div>
                                                                    </div>';
                                                                }
                                                                if($row['leave_type'] == "Annual / Off In Lieu"){
                                                                    echo '<div class="custom-control custom-checkbox mr-1" id="divTypeAL2" style="display:inline-block !important">
                                                                    <input type="checkbox" class="custom-control-input" id="chkAnnual" name="chkAnnual" value="1" ';
                                                                        if($row['leave_type'] == "Annual" || $row['leave_type'] == "Annual / Off In Lieu"){ echo 'checked';}
                                                                    echo '>
                                                                    <label class="custom-control-label" for="chkAnnual" id="lblAnnual2">Annual Leave </label>
                                                                    <div id="divNumAL">
                                                                        To use : <input type="number" step="0.5" id="txtAmountAL" class="form-control chkWithNum" style="width:30% !important" name="numAnnual" value="'.$row['num_used_annual'].'" min="0" max="20"> day(s)
                                                                    </div>
                                                                    </div>';
                                                                }
                                                            }
                                                        if($row2['num_offInLieu'] > 0 ){ ?> 
                                                            <div class="mr-1" id="divTypeOL" style="display: none">
                                                                <input class="form-control-input" type="radio" name="leaveType" id="rbOffInLieu" value="Off In Lieu"
                                                                    <?php if($row['leave_type'] == "Off In Lieu"){ echo 'checked';}?>
                                                                >
                                                                <label class="form-control-label" for="rbOffInLieu" id="lblOffInLieu">
                                                                <?php    
                                                                    echo 'Off In Lieu  (Balance: <b>'.$row2['num_offInLieu'].'</b>';
                                                                    if($row2['num_offInLieu'] > 1){ echo ' days)';} 
                                                                    else { echo ' day)';}
                                                                    echo'</label>';
                                                                ?>
                                                            </div>
                                                            <div class="custom-control custom-checkbox mr-1" id="divTypeOL2" style="display:inline-block !important">
                                                                <input type="checkbox" class="custom-control-input" id="chkOffInLieu" name="chkOffinlieu" value="1"
                                                                    <?php if($row['leave_type'] == "Off In Lieu" || $row['leave_type'] == "Annual / Off In Lieu"){ echo 'checked';}?>
                                                                >
                                                                <label class="custom-control-label" for="chkOffInLieu" id="lblOffInLieu2">
                                                                   <?php 
                                                                    echo'Off In Lieu (Balance: <b>'.$row2['num_offInLieu'].'</b>';
                                                                    if($row2['num_offInLieu'] > 1){ echo ' days)';} 
                                                                    else { echo ' day)';}
                                                            echo'</label>
                                                                <div id="divNumOL" style="padding-left:2px;visibility:hidden">
                                                                    To use : <input type="number" step="0.5" id="txtAmountOL" class="form-control chkWithNum" style="width:30% !important;" name="numOffInLieu" value="'.$row['num_used_offinlieu'].'" min="0" max="'.$row2['num_offInLieu'].'"> day(s)
                                                                </div>
                                                            </div>';
                                                            ?>
                                                    <?php } else {
                                                                if($row['leave_type'] == "Off In Lieu"){
                                                                    echo '<div class="mr-1" id="divTypeOL" style="display: none">
                                                                    <input class="form-control-input" type="radio" name="leaveType" id="rbOffInLieu" value="Off In Lieu">
                                                                    <label class="form-control-label" for="rbOffInLieu" id="lblOffInLieu"> Off In Lieu</label></div>';
                                                                    echo '<div class="custom-control custom-checkbox mr-1" id="divTypeOL2" style="display:inline-block !important">
                                                                    <input type="checkbox" class="custom-control-input" id="chkOffInLieu" name="chkOffinlieu" value="1" checked >
                                                                    <label class="custom-control-label" for="chkOffInLieu" id="lblOffInLieu2"> Off In Lieu</label>
                                                                    <div id="divNumOL" style="padding-left:2px;visibility:hidden">
                                                                        To use : <input type="number" step="0.5" id="txtAmountOL" class="form-control chkWithNum" style="width:30% !important" name="numOffInLieu" value="'.$row['num_used_offinlieu'].'" min="0" max="20"> day(s)
                                                                    </div>
                                                                    </div>';
                                                                }
                                                                if($row['leave_type'] == "Annual / Off In Lieu"){
                                                                    echo '<div class="custom-control custom-checkbox mr-1" id="divTypeOL2" style="display:inline-block !important">
                                                                    <input type="checkbox" class="custom-control-input" id="chkOffInLieu" name="chkOffinlieu" value="1" ';
                                                                        if($row['leave_type'] == "Off In Lieu" || $row['leave_type'] == "Annual / Off In Lieu"){ echo 'checked';}
                                                                    echo '>
                                                                    <label class="custom-control-label" for="chkOffInLieu" id="lblOffInLieu2"> Off In Lieu</label>
                                                                    <div id="divNumOL" style="padding-left:2px;visibility:hidden">
                                                                        To use : <input type="number" step="0.5" id="txtAmountOL" class="form-control chkWithNum" style="width:30% !important" name="numOffInLieu" value="'.$row['num_used_offinlieu'].'" min="0" max="20"> day(s)
                                                                    </div>
                                                                    </div>';
                                                                }  
                                                            }
                                                            echo '<div class="mr-1" id="divTypeUP" style="display: none">
                                                            <input class="form-control-input" type="radio" name="leaveType" id="rbUnpaid" value="Unpaid"';
                                                            if($row['leave_type'] == "Unpaid"){
                                                                echo' checked';
                                                            }
                                                            echo' >
                                                            <label class="form-control-label" for="rbUnpaid" id="lblUnpaid">Unpaid Leave</label>
                                                            </div>';
                                                            echo '<div class="custom-control custom-checkbox mr-1" id="divTypeUP2" style="display:inline-block !important">
                                                                <input type="checkbox" class="custom-control-input" id="chkUnpaid" name="chkUnpaid" value="1"';
                                                                if($row['leave_type'] == "Unpaid"){
                                                                    echo' checked';
                                                                }
                                                                echo' >
                                                                <label class="custom-control-label" for="chkUnpaid" id="lblUnpaid2">Unpaid Leave</label>
                                                                <div id="divUP" style="padding-left:2px;margin-top:3%;visibility:hidden">
                                                                    &nbsp;
                                                                </div>
                                                            </div>';
                                                        }
                                                    ?>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                
                                                    <?php 
                                                        if($row['status'] == 0 || $admin !=1){
                                                            echo '<label class="col-md-3 label-control" for="chkHalfDay">Half Day (Optional)</label>
                                                            <div class="col-md-9" style="margin-top:5px;padding-left:26px">';
                                                            if($row['half_day'] == 1){ echo '<label for="halfDay">Yes</label>';}
                                                            else { echo '<label for="halfDay">No</label>';}
                                                        } else {
                                                            echo '<label class="col-md-3 label-control" for="chkSubtype">Subtype of Leave (Optional)</label>
                                                            <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                            <div class="d-inline-block custom-control custom-checkbox mr-1">
                                                            <input type="checkbox" class="custom-control-input" id="chkHalfDay" name="halfDay" value="1"';
                                                            if($row['half_day'] == 1){ echo 'checked';}
                                                            echo '> 
                                                            <label class="custom-control-label" for="chkHalfDay" id="lblChkHalfDay">Half Day</label>
                                                            </div>';
                                                            if($row['status'] == 1){
                                                                echo '<div class="d-inline-block custom-control custom-checkbox mr-1" id="divEmergency">
                                                                <input type="checkbox" class="custom-control-input" id="chkEmergency" name="emergency" value="1"';
                                                                if($row['emergency'] == 1){ echo 'checked';}
                                                                echo '> 
                                                                <label class="custom-control-label" for="chkEmergency" id="lblChkEmergency">Emergency</label>
                                                                </div>';
                                                            }
                                                        }
                                                    ?>
                                                </div>
                                            </div>                                                  
                                            <div class="form-group row">
                                                    <?php 
                                                        if($row['status'] == 0 || $admin !=1){
                                                            echo '<label class="col-md-3 label-control" for="txtStartDate">Start Date</label>
                                                            <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                                <label for="startDate" style="margin-top:2px">'.$row["start_datetime"] .'</label>
                                                                <span style="float:left;margin-top:3.5px;"><i class="ft-calendar" style="margin-right:23px"></i></span>
                                                            </div>';
                                                        } else {
                                                            echo '<label class="col-md-3 label-control" for="txtStartDate" style="margin-top:8px">Start Date</label>
                                                            <div class="col-md-9">
                                                            <div class="position-relative has-icon-left">
                                                                <input type="text" id="txtALStartDate" class="form-control" name="startDate" value="';
                                                                echo $row['start_datetime'];
                                                                echo'" >';
                                                                if ($row['status'] == 1) {
                                                                    echo'<input type="text" id="txtALStartDate2" style="display:none" class="form-control" name="startDate2" value="';
                                                                    echo $row['start_datetime'];
                                                                    echo'" >';
                                                                }
                                                                echo '<div class="form-control-position">
                                                                    <i class="ft-calendar"></i>
                                                                </div>
                                                            </div>
                                                            </div>';
                                                        }
                                                    ?>
                                            </div>
                                            <div class="form-group row">
                                                <?php 
                                                    if($row['status'] == 0 || $admin !=1){
                                                        echo '<label class="col-md-3 label-control" for="txtEndDate">End Date</label>
                                                        <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                            <label for="endDate" style="margin-top:2px">'.$row["end_datetime"] .'</label>
                                                            <span style="float:left;margin-top:3.5px;"><i class="ft-calendar" style="margin-right:23px"></i></span>
                                                        </div>';
                                                    } else {
                                                        echo '<label class="col-md-3 label-control" for="txtEndDate" style="margin-top:8px">End Date</label>
                                                        <div class="col-md-9">
                                                        <div class="position-relative has-icon-left">
                                                            <input type="text" id="txtALEndDate" class="form-control" name="endDate" value="';
                                                            echo $row['end_datetime'];
                                                            echo'" >';
                                                            if ($row['status'] == 1) {
                                                                echo' <input type="text" id="txtALEndDate2" style="display:none" class="form-control" name="endDate2" value="';
                                                                echo $row['end_datetime'];
                                                                echo'" >';
                                                            }    
                                                            echo '<div class="form-control-position">
                                                                <i class="ft-calendar"></i>
                                                            </div>
                                                        </div>
                                                        </div>';
                                                    }
                                                ?>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control">Amount of Apply Leave Day</label>
                                                <div class="col-md-9" style="margin-top:3px;padding-left:26px">
                                                    <span style="float:left;margin-top:3.5px;"><i class="ft-clock" style="margin-right:23px"></i></span>
                                                    <?php 
                                                        if($row['status'] == 0 || $admin !=1){ 
                                                            echo '<label for="leaveAmount" style="margin-top:2px">'.$row["duration"];
                                                            if($row["duration"] > 1){ echo ' days';} 
                                                            else{ echo ' day';}
                                                            echo '</label> ';
                                                        } else {
                                                            echo '<label for="leaveAmount" id="leaveAmount"></label> ';
                                                        }
                                                    ?>
                                                </div>
                                            </div>
                                            <div class="form-group row last">
                                                <?php 
                                                    if($row['status'] == 0 || $admin !=1){ 
                                                        echo '<label class="col-md-3 label-control" for="txtReason">Reason For Taking Leave</label>
                                                        <div class="col-md-9" style="margin-top:3px;padding-left:26px">
                                                            <label for="txtReason" style="margin-top:4px">'.$row["reason"] .'</label>
                                                            <span style="float:left;margin-top:3.5px;"><i class="ft-file-text" style="margin-right:23px"></i></span>
                                                        </div>';
                                                    } else {
                                                        echo '<label class="col-md-3 label-control" for="txtReason" style="margin-top:5px">Reason For Taking Leave</label>
                                                        <div class="col-md-9">
                                                            <div class="position-relative has-icon-left">
                                                                <textarea id="txtReason" rows="5"
                                                                    class="form-control" name="reason"
                                                                    placeholder="">'.$row["reason"].'</textarea>
                                                                <div class="form-control-position">
                                                                    <i class="ft-file-text"></i>
                                                                </div>
                                                            </div>
                                                        </div>';
                                                    }
                                                ?>
                                            </div>
                                        </div>
                                        <input type="hidden"  id="hfformId" value="<?php echo $row['id'];?>"/>
                                        <input type="hidden"  id="hfStatus" value="<?php echo $row['status'];?>"/>
                                        <input type="hidden"  id="hfStaffEmail" value="<?php echo $row['email'];?>"/>
                                        <input type="hidden"  id="hfStartDate" value="<?php echo $row['start_datetime'];?>"/>
                                        <input type="hidden"  id="hfEndDate" value="<?php echo $row['end_datetime'];?>"/>
                                        <input type="hidden"  id="hfDuration" value="<?php echo $row['duration'];?>"/>
                                        <input type="hidden"  id="hfHalfDay" value="<?php echo $row['half_day'];?>"/>
                                        <input type="hidden"  id="hfEmergency" value="<?php echo $row['emergency'];?>"/>
                                        <input type="hidden"  id="hfReason" value="<?php echo $row['reason'];?>"/>
                                        <input type="hidden"  id="hfLeaveType" value="<?php echo $row['leave_type'];?>"/>
                                        <input type="hidden"  id="hfNumUsedAnnual" value="<?php echo $row['num_used_annual'];?>"/>
                                        <input type="hidden"  id="hfNumUsedOffInLieu" value="<?php echo $row['num_used_offinlieu'];?>"/>
                                        <input type="hidden"  id="hfnumAnnual" value="<?php echo $row2['num_annual'];?>"/>
                                        <input type="hidden"  id="hfnumOffInLieu" value="<?php echo $row2['num_offInLieu'];?>"/>
                                        <input type="hidden"  id="hfAmountDay" value=""/>
                                        <div class="form-actions right" id="btnSection">
                                            <?php 
                                                    echo'<button type="button" class="btn btn-danger" id="btnRemoveApplyLeave" style="margin-right:20px" onclick="removeRecord('.$row['id'].')">
                                                            <i class="fa fa-trash"></i> Remove
                                                         </button>';
                                                    if($admin == "1" && $row['status'] == "1"){
                                                        echo '<a id="btnAccept" style="display:none" href="./actions/leaveStatusUpdate.php?'.base64_encode("fid").'='.base64_encode($row['id']).'&'.base64_encode("status").'='.base64_encode(2).'&'.base64_encode("tid").'='.base64_encode("AL").'">
                                                                <button type="button" class="btn btn-success" id="btnAcceptApplyLeave" style="margin-right:20px">
                                                                    <i class="fa fa-check-square-o"></i> Approve
                                                                </button></a>
                                                                <button type="button" class="btn btn-danger" id="btnRejectApplyLeave" style="margin-right:20px">
                                                                    <i class="fa fa-times"></i> Reject
                                                                </button>
                                                                <button type="button" class="btn btn-warning" id="btnCancelRejectApplyLeave" style="margin-right:20px;display:none">
                                                                    <i class="fa fa-times"></i> Cancel
                                                                </button>'; 
                                                        echo'<button type="button" class="btn btn-primary" id="btnConfirmRejectApplyLeave" style="margin-right:20px;display:none">
                                                                <i class="fa fa-check-square-o"></i> Confirm
                                                            </button>';
                                                    }
                                                    if($admin == "1" && $row['status'] == "0"){
                                                        echo'<button type="button" class="btn btn-primary" id="btnSaveRejectApplyLeave" style="margin-right:20px;">
                                                                <i class="fa fa-check-square-o"></i> Save
                                                            </button>';
                                                    }
                                                    if($row['reminder'] != 1) {
                                                        echo '<button type="button" class="btn btn-warning" id="btnReminder" style="margin-right:20px;">
                                                                <i class="fa fa-bell"></i>&nbsp;&nbsp;Reminder
                                                            </button><br style="display:none" class="break"/><br style="display:none" class="break"/>';
                                                    }
                                                    if($admin == "1" && $row['status'] != "0"){
                                                        if($row['status'] == "1") {
                                                            echo ' <button type="button" class="btn button" id="btnEditLeave" style="margin-right:20px;">
                                                                <i class="fa fa-edit"></i> Edit
                                                            </button>
                                                            <button type="button" class="btn btn-warning" id="btnCancelEditLeave" style="margin-right:20px;display:none">
                                                                <i class="fa fa-times"></i> Cancel
                                                            </button>
                                                            <button type="submit" class="btn btn-primary" id="btnSaveLeave" style="margin-right:20px;display:none">
                                                                <i class="fa fa-check-square-o"></i> Save
                                                            </button>';
                                                        } else {
                                                            echo ' <button type="submit" class="btn btn-primary" id="btnSaveLeave" style="margin-right:20px;">
                                                                <i class="fa fa-check-square-o"></i> Save
                                                            </button>';
                                                        }
                                                        if($row['reminder'] == 1 && $row['status'] == "1") { 
                                                            echo '<br style="display:none" class="break"/><br style="display:none" class="break"/>';
                                                        }
                                                    } 
                                                    echo '<a  href="./leaveSystem.php#LS"><button type="button" class="btn btn-secondary" id="btnBack">
                                                        <i class="fa fa-arrow-left"></i>&nbsp;&nbsp;Back
                                                    </button></a>'; 
                                            ?>
                                        </div>
                                    </form>                 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>
</div>

<script type="text/javascript" src="assets/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="assets/js/jquery.datetimepicker.full.js"></script>
<script type="text/javascript">
    $(document).ready(function(){
        if($('#hfStatus').val() == 1){
            $('input[type=text], input[type=radio], input[type=number],  #lblAnnual,  #lblOffInLieu, #lblUnpaid, #lblAnnual2,  #lblOffInLieu2, #lblUnpaid2, #lblChkHalfDay, #lblChkEmergency, #txtReason').css('pointer-events','none');
            $('input[type=text], input[type=radio], input[type=number], #lblAnnual,  #lblOffInLieu, #lblUnpaid, #lblAnnual2,  #lblOffInLieu2, #lblUnpaid2, #lblChkHalfDay, #lblChkEmergency, #txtReason').css('opacity',0.6);
        }
        
        if($('#hfStatus').val() == 2){
            if($('#hfLeaveType').val() == 'Unpaid'){
                $('#lblAnnual2,  #lblOffInLieu2').css('pointer-events','none');
                $('#lblAnnual2,  #lblOffInLieu2').css('opacity',0.6);
            }
        }
        
        if($('#hfStatus').val() == 0){
            $('#btnConfirmRejectApplyLeave').css('display','inline-block');
            $('#divRejectedReason').css('display','flex');
            $('#divRejectedReason').prev().remove();
        }
        if($('#chkHalfDay:checkbox:checked').length > 0){
            $('#divTypeAL, #divTypeOL, #divTypeUP').css('display','inline-block');
            $('#divTypeAL2, #divTypeOL2, #divTypeUP2').css('display','none');
            $('#txtALEndDate').css('pointer-events','none');
            $('#txtALEndDate').css('border','0');
            $('#txtALEndDate').css('background','transparent');
            $('#leaveAmount').text("0.5 day");
            $('#hfAmountDay').val(0.5);
        } else {
            $('#divTypeAL, #divTypeOL, #divTypeUP').css('display','none');
            $('#divTypeAL2, #divTypeOL2, #divTypeUP2').css('display','inline-block');
            
            var from = $('#txtALStartDate').val().split("/");
            var to= $('#txtALEndDate').val().split("/");
            var start = new Date(from[2],from[1]-1,from[0]) ;
            var end= new Date(to[2],to[1]-1,to[0]);
            var amount=(end-start)/1000/60/60/24 + 1;
            var day = amount > 1 ? " days" : " day";
            var numday = amount > 0 ? amount : 0;
            $('#leaveAmount').text(numday + day);
            $('#hfAmountDay').val(numday);
        }
        
        if($('#hfLeaveType').val() == 'Annual'){
            if($('#hfnumAnnual').val() > 0){
                $('#btnAccept').css('display','inline-block');
            }
        } else if($('#hfLeaveType').val() == 'Off In Lieu'){
            if($('#hfnumOffInLieu').val() > 0){
                $('#btnAccept').css('display','inline-block');
            }
        } else if($('#hfLeaveType').val() == 'Unpaid'){
            $('#btnAccept').css('display','inline-block');
        } else {
            if($('#hfnumAnnual').val() > 0 && $('#hfnumOffInLieu').val() > 0){
                $('#btnAccept').css('display','inline-block');
            } else {
                $('#btnAccept').css('display','none');
            }
        }
        
        var chkAnnual = document.getElementById("chkAnnual");
        var chkOffInLieu =  document.getElementById("chkOffInLieu");
        if(chkAnnual != null){
            if(chkAnnual.checked){
                if(chkOffInLieu != null){
                    if(chkOffInLieu.checked){
                        $('#divNumAL, #divNumOL, #divUP').css('display','block');
                        $('#divNumAL, #divNumOL, #divUP').css('visibility','visible');
                    } else {
                        $('#txtAmountOL').val(0);
                        $('#divNumAL, #divNumOL, #divUP').css('display','block');
                        $('#divNumAL, #divUP').css('visibility','visible');
                        $('#divNumOL').css('visibility','hidden');
                    }
                } else {
                    $('#txtAmountOL').val(0);
                    $('#divNumAL, #divNumOL, #divUP').css('display','block');
                    $('#divNumAL, #divUP').css('visibility','visible');
                    $('#divNumOL').css('visibility','hidden');
                }
            } else {
                $('#txtAmountAL').val(0);
                if(chkOffInLieu != null){
                    if(chkOffInLieu.checked){
                        $('#divNumAL, #divNumOL, #divUP').css('display','block');
                        $('#divNumAL').css('visibility','hidden');
                        $('#divNumOL, #divUP').css('visibility','visible');
                    } else {
                        $('#txtAmountOL').val(0);
                        $('#divNumAL, #divNumOL, #divUP').css('display','none');
                    }
                } else {
                    $('#txtAmountOL').val(0);
                    $('#divNumAL, #divNumOL, #divUP').css('display','none');
                }
            }
        } else {
            if(chkOffInLieu.checked){
                $('#divNumAL, #divNumOL, #divUP').css('display','block');
                $('#divNumAL').css('visibility','hidden');
                $('#divNumOL, #divUP').css('visibility','visible');
            } else {
                $('#txtAmountOL').val(0);
                $('#divNumAL, #divNumOL, #divUP').css('display','none');
            }
        }
        
        if($('#hfStatus').val() == 1){
            if($('#hfEmergency').val() == 1){
                $('#txtALStartDate2, #txtALEndDate2').css('display','none');
                $('#txtALStartDate, #txtALEndDate').css('display','flex');
            } else {
                $('#txtALStartDate2, #txtALEndDate2').css('display','flex');
                $('#txtALStartDate, #txtALEndDate').css('display','none');
            }
        }
    });

    $('#txtALStartDate, #txtALEndDate').datetimepicker({
        format:'d/m/Y',
        timepicker: false,
        scrollInput : false,
        minDate: 0
    });
    
    $('#txtALStartDate2, #txtALEndDate2').datetimepicker({
        format:'d/m/Y',
        timepicker: false,
        scrollInput : false,
        minDate: new Date(new Date().getTime()+(7*24*60*60*1000))
    });

    $('#txtALStartDate').change(function() {
        $('#txtALEndDate, #txtALStartDate2, #txtALEndDate2').val($('#txtALStartDate').val());
    });
    
    $('#txtALEndDate').change(function() {
        var from = $('#txtALStartDate').val().split("/");
        var to= $('#txtALEndDate').val().split("/");
        var start = new Date(from[2],from[1]-1,from[0]) ;
        var end= new Date(to[2],to[1]-1,to[0]);
        var amount=(end-start)/1000/60/60/24 + 1;
        if(amount < 1){
            $('#txtALStartDate, #txtALStartDate2, #txtALEndDate2').val($('#txtALEndDate').val());
        }
    });
    
    $('#txtALStartDate2').change(function() {
        $('#txtALEndDate2, #txtALStartDate, #txtALEndDate').val($('#txtALStartDate2').val());
    });
    
    $('#txtALEndDate2').change(function() {
        var from = $('#txtALStartDate2').val().split("/");
        var to= $('#txtALEndDate2').val().split("/");
        var start = new Date(from[2],from[1]-1,from[0]) ;
        var end= new Date(to[2],to[1]-1,to[0]);
        var amount=(end-start)/1000/60/60/24 + 1;
        if(amount < 1){
            $('#txtALStartDate2, #txtALStartDate, #txtALEndDate').val($('#txtALEndDate2').val());
        }
    });

    $('#txtALStartDate, #txtALEndDate').change(function() {
        if($('#chkHalfDay:checkbox:checked').length > 0){
            $('#leaveAmount').text("0.5 day");
            $('#hfAmountDay').val(0.5);
        } else {
            var from = $('#txtALStartDate').val().split("/");
            var to= $('#txtALEndDate').val().split("/");
            var start = new Date(from[2],from[1]-1,from[0]) ;
            var end= new Date(to[2],to[1]-1,to[0]);
            var amount=(end-start)/1000/60/60/24 + 1;
            var day = amount > 1 ? " days" : " day";
            var numday = amount > 0 ? amount : 0;
            $('#leaveAmount').text(numday + day);
            $('#hfAmountDay').val(numday);
        }
    });
    
    $('#txtALStartDate2, #txtALEndDate2').change(function() {
        if($('#chkHalfDay:checkbox:checked').length > 0){
            $('#leaveAmount').text("0.5 day");
            $('#hfAmountDay').val(0.5);
        } else {
            var from = $('#txtALStartDate2').val().split("/");
            var to= $('#txtALEndDate2').val().split("/");
            var start = new Date(from[2],from[1]-1,from[0]) ;
            var end= new Date(to[2],to[1]-1,to[0]);
            var amount=(end-start)/1000/60/60/24 + 1;
            var day = amount > 1 ? " days" : " day";
            var numday = amount > 0 ? amount : 0;
            $('#leaveAmount').text(numday + day);
            $('#hfAmountDay').val(numday);
        }
    });
    
    $('#chkAnnual, #chkOffInLieu').change(function () {
         var chkAnnual = document.getElementById("chkAnnual");
         var chkOffInLieu =  document.getElementById("chkOffInLieu");
         
         if(chkAnnual != null){
             if(chkAnnual.checked){
                 if(chkOffInLieu != null){
                     if(chkOffInLieu.checked){
                         $('#divNumAL, #divNumOL, #divUP').css('display','block');
                         $('#divNumAL, #divNumOL, #divUP').css('visibility','visible');
                     } else {
                         $('#divNumAL, #divNumOL, #divUP').css('display','block');
                         $('#divNumAL, #divUP').css('visibility','visible');
                         $('#divNumOL').css('visibility','hidden');
                     }
                 } else {
                     $('#divNumAL, #divNumOL, #divUP').css('display','block');
                     $('#divNumAL, #divUP').css('visibility','visible');
                     $('#divNumOL').css('visibility','hidden');
                 }
             } else {
                  if(chkOffInLieu != null){
                     if(chkOffInLieu.checked){
                         $('#divNumAL, #divNumOL, #divUP').css('display','block');
                         $('#divNumAL').css('visibility','hidden');
                         $('#divNumOL, #divUP').css('visibility','visible');
                     } else {
                         $('#divNumAL, #divNumOL, #divUP').css('display','none');
                     }
                  } else {
                      $('#divNumAL, #divNumOL, #divUP').css('display','none');
                  }
             }
         } else {
             if(chkOffInLieu.checked){
                 $('#divNumAL, #divNumOL, #divUP').css('display','block');
                 $('#divNumAL').css('visibility','hidden');
                 $('#divNumOL, #divUP').css('visibility','visible');
             } else {
                 $('#divNumAL, #divNumOL, #divUP').css('display','none');
             }
         }
    });
    
    $('#chkAnnual').change(function () {
         if(document.getElementById("chkAnnual").checked){
             $('#txtAmountAL').val($('#hfNumUsedAnnual').val());
         } else {
             $('#txtAmountAL').val(0);
         }
    });
    
    $('#chkOffInLieu').change(function () {
         if(document.getElementById("chkOffInLieu").checked){
             $('#txtAmountOL').val($('#hfNumUsedOffInLieu').val());
         } else {
             $('#txtAmountOL').val(0);
         }
    });
    
    $('#txtAmountAL').change(function () {
        if($('#txtAmountAL').val() == 0){
            if(document.getElementById("chkOffInLieu").checked){
                $('#chkAnnual').prop('checked',false);
                $('#divNumAL').css('visibility','hidden');
            } else {
                $('#chkAnnual, #chkOffInLieu').prop('checked',false);
                $('#divNumAL, #divNumOL, #divUP').css('display','none');
            }
        }
    });
    
    $('#txtAmountOL').change(function () {
        if($('#txtAmountOL').val() == 0){
            if(document.getElementById("chkAnnual").checked){
                $('#chkOffInLieu').prop('checked',false);
                $('#divNumOL').css('visibility','hidden');
            } else {
                $('#chkAnnual, #chkOffInLieu').prop('checked',false);
                $('#divNumAL, #divNumOL, #divUP').css('display','none');
            }
        }
    });

    $('#chkHalfDay').change(function () {
        if(this.checked){
            $('#divTypeAL, #divTypeOL, #divTypeUP').css('display','inline-block');
            $('#divTypeAL2, #divTypeOL2, #divTypeUP2').css('display','none');
            $('#chkAnnual, #chkOffInLieu').prop('checked',false);
            $('#txtAmountAL, #txtAmountOL').val(0);
            $('#txtALEndDate').css('pointer-events','none');
            $('#txtALEndDate').css('border','0');
            $('#txtALEndDate').css('background','transparent');
            $('#leaveAmount').text("0.5 day");
            $('#hfAmountDay').val(0.5);
            $('#txtALEndDate').val($('#txtALStartDate').val());
            $('#txtALEndDate2').val($('#txtALStartDate2').val());
        } else {
            $('#divTypeAL, #divTypeOL, #divTypeUP').css('display','none');
            $('#divTypeAL2, #divTypeOL2, #divTypeUP2').css('display','inline-block');
            if($('#hfLeaveType').val() == 'Annual'){
                $('#chkAnnual').prop('checked',true);
                $('#txtAmountAL').val($('#hfNumUsedAnnual').val());
                $('#divNumAL, #divNumOL').css('display','block');
                $('#divNumAL').css('visibility','visible');
                $('#divNumOL').css('visibility','hidden');
            } else if($('#hfLeaveType').val() == 'Off In Lieu'){
                $('#chkOffInLieu').prop('checked',true);
                $('#txtAmountOL').val($('#hfNumUsedOffInLieu').val());
                $('#divNumAL, #divNumOL').css('display','block');
                $('#divNumOL').css('visibility','visible');
                $('#divNumAL').css('visibility','hidden');
            } else if($('#hfLeaveType').val() == 'Unpaid'){
                $('#chkUnpaid').prop('checked',true);
                $('#divNumAL, #divNumOL').css('display','block');
                $('#divNumAL, #divNumOL').css('visibility','hidden');
                $('#lblAnnual,  #lblOffInLieu, #lblAnnual2,  #lblOffInLieu2').css('pointer-events','none');
                $('#lblAnnual,  #lblOffInLieu, #lblAnnual2,  #lblOffInLieu2').css('opacity',0.6);
                $('#chkAnnual, #chkOffInLieu').prop('checked',false);
                $('#txtAmountAL, #txtAmountOL').val(0);
            } else {
                $('#chkAnnual, #chkOffInLieu').prop('checked',true);
                $('#txtAmountAL').val($('#hfNumUsedAnnual').val());
                $('#txtAmountOL').val($('#hfNumUsedOffInLieu').val());
                $('#divNumAL, #divNumOL').css('display','block');
                $('#divNumAL, #divNumOL').css('visibility','visible');
            }
            
            $('#txtALEndDate').css('pointer-events','unset');
            $('#txtALEndDate').css('border','1px solid #ccd6e6');
            $('#txtALEndDate').css('background','#fff');
            
            $('#txtALStartDate, #txtALStartDate2').val($('#hfStartDate').val());
            $('#txtALEndDate, #txtALEndDate2').val($('#hfEndDate').val());
            var dur = $('#hfDuration').val();
            if( dur > 1){ var day = ' days';} 
            else{ var day = ' day';}
            $('#leaveAmount').text(dur + day);
            $('#hfAmountDay').val(dur);
        }
    });
    
    $('#chkUnpaid').change(function () {
        var annual = parseFloat($('#hfnumAnnual').val());
        if(this.checked){
            $('#lblAnnual,  #lblOffInLieu, #lblAnnual2,  #lblOffInLieu2').css('pointer-events','none');
            $('#lblAnnual,  #lblOffInLieu, #lblAnnual2,  #lblOffInLieu2').css('opacity',0.6);
            $('#chkAnnual, #chkOffInLieu').prop('checked',false);
            $('#txtAmountAL, #txtAmountOL').val(0);
            $('#divNumAL, #divNumOL, #divUP').css('display','none');
        } else {
            $('#lblAnnual,  #lblOffInLieu, #lblAnnual2,  #lblOffInLieu2').css('pointer-events','auto');
            $('#lblAnnual,  #lblOffInLieu, #lblAnnual2,  #lblOffInLieu2').css('opacity',1.0);
            
            if($('#hfLeaveType').val() == 'Annual'){
                $('#chkAnnual').prop('checked',true);
                $('#txtAmountAL').val($('#hfNumUsedAnnual').val());
                $('#divNumAL, #divNumOL, #divUP').css('display','block');
                $('#divNumAL, #divUP').css('visibility','visible');
                $('#divNumOL').css('visibility','hidden');
            } else if($('#hfLeaveType').val() == 'Off In Lieu'){
                $('#chkOffInLieu').prop('checked',true);
                $('#txtAmountOL').val($('#hfNumUsedOffInLieu').val());
                $('#divNumAL, #divNumOL, #divUP').css('display','block');
                $('#divNumOL, #divUP').css('visibility','visible');
                $('#divNumAL').css('visibility','hidden');
            } else if($('#hfLeaveType').val() == 'Unpaid'){
                if(annual != 0){
                    $('#chkAnnual').prop('checked',true);
                    $('#divNumAL, #divNumOL, #divUP').css('display','block');
                    $('#divNumAL, #divUP').css('visibility','visible');
                    $('#divNumOL').css('visibility','hidden');
                } else {
                    $('#chkOffInLieu').prop('checked',true);
                    $('#divNumOL, #divUP').css('display','block');
                    $('#divNumOL, #divUP').css('visibility','visible');
                }
            } else {
                $('#chkAnnual, #chkOffInLieu').prop('checked',true);
                $('#txtAmountAL').val($('#hfNumUsedAnnual').val());
                $('#txtAmountOL').val($('#hfNumUsedOffInLieu').val());
                $('#divNumAL, #divNumOL, #divUP').css('display','block');
                $('#divNumAL, #divNumOL, #divUP').css('visibility','visible');
            }
            
        }
    });
    
    $('#chkEmergency').change(function () {
        if(this.checked){
            $('#txtALStartDate2, #txtALEndDate2').css('display','none');
            $('#txtALStartDate, #txtALEndDate').css('display','flex');
        } else {
            $('#txtALStartDate2, #txtALEndDate2').css('display','flex');
            $('#txtALStartDate, #txtALEndDate').css('display','none');
        }
    });
    
    $('#btnEditLeave').click(function() {
        $('input[type=text], input[type=radio], input[type=number],  #lblUnpaid, #lblUnpaid2,#lblChkHalfDay, #lblChkEmergency, #txtReason').css('pointer-events','auto');
        $('input[type=text], input[type=radio], input[type=number],  #lblUnpaid, #lblUnpaid2, #lblChkHalfDay, #lblChkEmergency, #txtReason').css('opacity',1.0);
        $('#btnAcceptApplyLeave, #btnRejectApplyLeave, #btnReminder, #btnEditLeave').css('display','none');
        $('#btnCancelEditLeave, #btnSaveLeave').css('display','inline-block');
        if($('#hfLeaveType').val() != 'Unpaid'){
            $('#lblAnnual,  #lblOffInLieu, #lblAnnual2,  #lblOffInLieu2').css('pointer-events','auto');
            $('#lblAnnual,  #lblOffInLieu, #lblAnnual2,  #lblOffInLieu2').css('opacity',1.0);
        }
    });
    
    $('#btnCancelEditLeave').click(function() {
        var chg = checkChanges();
        if(chg == 1){
            var result = confirm("Do you want to save the new changes?")
            if(result){
                return false;
            } else {
                location.reload();
                return false;
            }
        } else {
            $('input[type=text], input[type=radio], input[type=number], #lblAnnual,  #lblOffInLieu, #lblUnpaid, #lblAnnual2,  #lblOffInLieu2, #lblUnpaid2, #lblChkHalfDay, #lblChkEmergency, #txtReason').css('pointer-events','none');
            $('input[type=text], input[type=radio], input[type=number], #lblAnnual,  #lblOffInLieu, #lblUnpaid, #lblAnnual2,  #lblOffInLieu2, #lblUnpaid2, #lblChkHalfDay, #lblChkEmergency, #txtReason').css('opacity',0.6);
            $('#btnAcceptApplyLeave, #btnRejectApplyLeave,#btnReminder, #btnEditLeave').css('display','inline-block');
            $('#btnCancelEditLeave, #btnSaveLeave').css('display','none');
        }
    });
    
    function checkChanges(){
        var chg = 0;
        if(document.getElementById("chkHalfDay").checked){
            if($('#hfLeaveType').val() == 'Annual' && $('input:radio[name="leaveType"]:checked').val() != 'Annual'){
               chg = 1; 
            }
            if($('#hfLeaveType').val() == 'Off In Lieu' && $('input:radio[name="leaveType"]:checked').val() != 'Off In Lieu'){
               chg = 1; 
            }
            if($('#hfLeaveType').val() == 'Unpaid' && $('input:radio[name="leaveType"]:checked').val() != 'Unpaid'){
               chg = 1; 
            }
        } else {
            if($('#hfLeaveType').val() == 'Annual' && !document.getElementById("chkAnnual").checked ){
               chg = 1; 
            }
            if($('#hfLeaveType').val() == 'Off In Lieu' && !document.getElementById("chkOffInLieu").checked){
               chg = 1; 
            }
            if($('#hfLeaveType').val() == 'Annual / Off In Lieu' && !document.getElementById("chkAnnual").checked && !document.getElementById("chkOffInLieu").checked){
               chg = 1; 
            }
            if($('#hfNumUsedAnnual').val() != $('#txtAmountAL').val()){
                chg = 1;
            }
            if($('#hfNumUsedOffInLieu').val() != $('#txtAmountOL').val()){
                chg = 1;
            }
            if($('#hfLeaveType').val() == 'Unpaid' && !document.getElementById("chkUnpaid").checked){
               chg = 1; 
            }
        }
        
        if($('#hfHalfDay').val() == 1 && !document.getElementById("chkHalfDay").checked){
            chg = 1;
        }
        if($('#hfHalfDay').val() == 0 && document.getElementById("chkHalfDay").checked){
            chg = 1;
        }
        if($('#hfEmergency').val() == 1 && !document.getElementById("chkEmergency").checked){
            chg = 1;
        }
        if($('#hfEmergency').val() == 0 && document.getElementById("chkEmergency").checked){
            chg = 1;
        }
        
        if(document.getElementById("chkEmergency").checked){
            if($('#hfStartDate').val() != $('#txtALStartDate').val()){
                chg = 1;
            }
            if($('#hfEndDate').val() != $('#txtALEndDate').val()){
                chg = 1;
            }
        } else {
            if($('#hfStartDate').val() != $('#txtALStartDate2').val()){
                chg = 1;
            }
            if($('#hfEndDate').val() != $('#txtALEndDate2').val()){
                chg = 1;
            }
        }
        if($('#hfReason').val() != $('#txtReason').val()){
            chg = 1;
        }
        
        return chg;
    }

    $('#btnRejectApplyLeave').click(function() {
        $('#btnAcceptApplyLeave, #btnRejectApplyLeave, #btnReminder, #btnEditLeave').css('display','none');
        $('#btnCancelRejectApplyLeave, #btnConfirmRejectApplyLeave').css('display','inline-block');
        $('#divRejectedReason').css('display','flex');
        $('#txtRejectedReason').focus();
        $('#divRejectedReason').prev().remove();
    });

    $('#btnCancelRejectApplyLeave').click(function() {
         if($('#txtRejectedReason').val() != ''){
            var result = confirm("Do you want to save the rejected reason?")
            if(result){
                return false;
            } else {
                location.reload();
                return false;
            }
        } else {
            $('#btnAcceptApplyLeave, #btnRejectApplyLeave,#btnReminder, #btnEditLeave').css('display','inline-block');
            $('#btnCancelRejectApplyLeave, #btnConfirmRejectApplyLeave').css('display','none');
            $('#divRejectedReason').css('display','none');
            $('<div class=form-group row" style="display:none"></div>').insertBefore( "#divRejectedReason");
        }
    });

    $( '#btnConfirmRejectApplyLeave,#btnSaveRejectApplyLeave ').click(function() {
        if($('#txtRejectedReason').val() == ''){
            alert('Please insert rejected reason.');
            $('#txtRejectedReason').focus();
            return false;
        } else {
            var id = $('#hfformId').val();
            var reason = $('#txtRejectedReason').val();
            window.location = './actions/leaveStatusUpdate.php?'+btoa('fid')+'='+btoa(id)+"&"+btoa('tid')+'='+btoa('AL')+"&"+btoa('status')+'='+btoa(0)+"&"+btoa('reason')+'='+reason;
            return false;
        }
    });


    function removeRecord(id){
        var result = confirm("Want to remove this record?")
        if(result){
            window.location = './actions/leaveRecordDelete.php?'+btoa('fid')+'='+btoa(id)+"&"+btoa('tid')+'='+btoa('AL');
            return false;
        } else {
            return false;
        }   
    }

    $('#btnSaveLeave').click(function() {
        if(document.getElementById("chkHalfDay").checked){
            if($('input:radio[name="leaveType"]:checked').val() == 'Annual'){
                var annual = parseFloat($('#hfnumAnnual').val());
                var amount = parseFloat($('#hfAmountDay').val());
                
                if(annual < amount){
                    alert('Please make sure you got enough annual leave for using.');
                    if($('#hfStatus').val() == 1){
                        if(document.getElementById("chkEmergency").checked){
                            $('#txtALStartDate').focus();
                        } else {
                            $('#txtALStartDate2').focus();
                        }
                    } else {
                        $('#txtALStartDate').focus();
                    }
                    return false;
                }
            }
        
            if($('input:radio[name="leaveType"]:checked').val() == 'Off In Lieu'){
                var offInLieu = parseFloat($('#hfnumOffInLieu').val());
                var amount = parseFloat($('#hfAmountDay').val()); 
                
                if(offInLieu < amount){
                    alert('Please make sure you got enough off in lieu for using.');
                    if($('#hfStatus').val() == 1){
                        if(document.getElementById("chkEmergency").checked){
                            $('#txtALStartDate').focus();
                        } else {
                            $('#txtALStartDate2').focus();
                        }  
                    } else {
                        $('#txtALStartDate').focus();
                    }
                    return false;
                }
            }
        } else {
            var annual = parseFloat($('#hfnumAnnual').val());
            var offInLieu = parseFloat($('#hfnumOffInLieu').val());
            var numchk = 0;
            if(annual != 0) {
                if(document.getElementById("chkAnnual").checked){
                    numchk = numchk + 1;
                }
            }
            if(offInLieu != 0){
                if(document.getElementById("chkOffInLieu").checked){
                    numchk = numchk + 1;
                }
            }
            if(document.getElementById("chkUnpaid").checked){
                numchk = numchk + 1;
            }
            if(numchk == 0){
                alert('Please at least choose one type of leave.');
                return false;
            }
            
            if(!document.getElementById("chkUnpaid").checked){
                var total = annual + offInLieu;
                var nAnnual = parseFloat($('#txtAmountAL').val());
                var nOffInLieu = parseFloat($('#txtAmountOL').val());
                if(isNaN(nAnnual)) {
                    nAnnual = 0;
                }
                if(isNaN(nOffInLieu)) {
                    nOffInLieu = 0;
                }
                var nTotal = nAnnual + nOffInLieu;
                var amount = parseFloat($('#hfAmountDay').val());
                
                 if(total < amount){
                    alert('Please make sure you got enough annual leave or off in lieu for using.');
                    if($('#hfStatus').val() == 1){
                        if(document.getElementById("chkEmergency").checked){
                            $('#txtALStartDate').focus();
                        } else {
                            $('#txtALStartDate2').focus();
                        }
                    } else {
                        $('#txtALStartDate').focus();
                    }
                    return false;
                } else {
                    if(nTotal != amount){
                        alert('Please make sure the amount of apply leave day and the total amount of annual leave and off in lieu for using are same.');
                        
                        return false;
                    }
                }
            }
        }
        
        if($('#txtReason').val() == ""){
            alert('Please insert your reason for taking leave.');
            $('#txtReason').focus();
            return false;
        }
        alert("Success to update the apply leave form.");
    });

    $('#btnReminder').click(function(){
        var email = $('#hfStaffEmail').val();
        var formid = $('#hfformId').val();
        if(email){
            $.ajax({
                type: 'post',
                url: './actions/reminderEmail.php',
                data: {
                form_id: formid,
                leave_type: 'leave',
                user_email:email,
            },
            success: function (response) {
                if(response=="OK")	{
                    alert('The reminder email is sent to HR.');
                    location.reload();
                    return true;	
                }
            }
            });
        }
    });
    
</script>

<?php
include 'footer.php';
?>