<?php
    include 'header.php';
    $query1 = mysqli_query($con,"UPDATE staff_apply_leave SET status = 0, reminder = 1, rejected_by = 1, rejected_reason='Expired', emergency= '0' WHERE STR_TO_DATE(end_datetime, '%d/%m/%Y') < DATE_ADD(now(),interval 15 hour) AND status = 1");
    $q = mysqli_query($con,"UPDATE staff_apply_leave SET incoming = 1 WHERE DATEDIFF(STR_TO_DATE(end_datetime, '%d/%m/%Y'), DATE_ADD(now(),interval 15 hour)) < 7 AND status != 0");
    $q2 = mysqli_query($con,"UPDATE staff_apply_leave SET incoming = 0 WHERE DATEDIFF(STR_TO_DATE(end_datetime, '%d/%m/%Y'), DATE_ADD(now(),interval 15 hour)) < 0 AND status = 2");
    $q3 = mysqli_query($con,"UPDATE staff_apply_leave SET incoming = 0 WHERE status = 0");
?>

<div class="app-content content">
    <div class="content-wrapper">

        <div class="content-body">

            <div class="row">

                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-content">
                                <div class="card-body">
                                    <ul class="nav nav-tabs nav-justified">
                                        <li class="nav-item">
                                            <a class="nav-link" id="tabLSum" data-toggle="tab" href="#LSum"
                                                aria-controls="link" aria-expanded="false">Leave Summary</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="tabLS" data-toggle="tab" href="#LS"
                                                aria-controls="link" aria-expanded="false">Applied Leave Status</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="tabMC" data-toggle="tab" href="#MC"
                                                aria-controls="link" aria-expanded="false">Medical Leave Summary</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="tabOILS" data-toggle="tab" href="#OILS" style="color: mediumpurple"
                                                aria-controls="link" aria-expanded="false">Applied Off In Lieu Status</a>
                                        </li>
                                    </ul>
                                    <div class="tab-content px-1 pt-1">
                                        <!--Leave Summary-->
                                        <div class="tab-pane" id="LSum" role="tabpanel" aria-labelledby="link-tab"
                                            aria-expanded="false">
                                            <section id="base-style">
                                                <div class="row">
                                                    <div class="col-12">
                                                        <div class="card">
                                                            <div class="card-header">
                                                                <h4 class="card-title" id="striped-row-layout-icons"><b>Employee Leave Summary</b></h4>
                                                            </div>
                                                            <input type="hidden"  id="hfUser" value="<?php echo $admin;?>"/>
                                                            <div class="form-actions right">
                                                                <?php 
                                                                    if($admin == 1){
                                                                        $query = mysqli_query($con,"SELECT * FROM users u, staff_leave sl WHERE u.id = sl.staff_id ORDER BY u.username ASC");
                                                                        $query2 = mysqli_query($con,"SELECT DISTINCT u.username FROM users u, staff_leave sl WHERE u.id = sl.staff_id ORDER BY u.username ASC");
                                                                    } else {
                                                                        $query = mysqli_query($con,"SELECT * FROM users u, staff_leave sl WHERE u.id = sl.staff_id AND sl.staff_id = $id");
                                                                    }
                                                                    $row_count = mysqli_num_rows($query);
                                                                    if($row_count == 0) {
                                                                        echo '<div style="display:flex;height:100px"><span style="text-align:center;margin:auto;font-size:18px">No Any Leave Records.</span></div>';
                                                                    } else {
                                                                        echo '<div class="card-body card-dashboard">';
                                                                        if($admin == 1){
                                                                            echo'<span style="margin-left: 15px">Employee Name :</span> 
                                                                            <select style="margin: 10px; display: inline-flex;height:auto" class="form-control" id="slStaffNameLSum">
                                                                                <option value="">-- Any --</option>';
                                                                                while($row2 = mysqli_fetch_array($query2))
                                                                                { 
                                                                                    echo '<option value="'.$row2["username"].'">'.$row2["username"].'</option>';
                                                                                }
                                                                            echo '</select>';
                                                                        }
                                                                        echo '<table id="tblLSum" class="table table-striped table-bordered base-style" style="text-align:center;table-layout:fixed">
                                                                            <thead>
                                                                                <tr>
                                                                                    <th>Employee Name</th>
                                                                                    <th>Annual Leave Balance (Days)</th>
                                                                                    <th>Off In Lieu Balance (Days)</th>
                                                                                    <th>Medical Leave Balance (Days)</th>';
                                                                                    if($admin == 1){
                                                                                        echo'<th>Action</th>';
                                                                                    }
                                                                            echo '</tr>
                                                                            </thead>
                                                                            <tbody>';  
                                                                                while($row = mysqli_fetch_array($query))
                                                                                { echo'<tr>
                                                                                        <td>'.$row['username'].'</td>
                                                                                        <td>'.$row['num_annual'].'</td>
                                                                                        <td>'.$row['num_offInLieu'].'</td>
                                                                                        <td>'.$row['num_mc'].'</td>';
                                                                                        if($admin == 1){
                                                                                            echo'<td><a href="leaveInfo.php?'.base64_encode("fid").'='.base64_encode($row['id']).'">
                                                                                            <div style="font-size:14px;color:#6495ed"><i class="ft-edit"></i>&nbsp;Edit</div></a></td>';
                                                                                        }
                                                                                   echo '</tr>';
                                                                                }
                                                                            echo '</tbody>
                                                                        </table></div>'; }?>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </section>
                                        </div>
                                        <!--Leave Status-->
                                        <div class="tab-pane" id="LS" role="tabpanel" aria-labelledby="link-tab"
                                            aria-expanded="false">
                                            <section id="base-style">
                                                <div class="row">
                                                    <div class="col-12">
                                                        <div class="card">
                                                            <div class="card-header">
                                                                <h4 class="card-title" id="striped-row-layout-icons"><b>Applied Leave Status</b></h4>
                                                            </div>
                                                            <div class="form-actions right" style="text-align:right;margin-right:10px" >
                                                                <a href="applyLeave.php" target="_blank"><button type="button" class="btn button" id="btnApplyLeave">
                                                                    <i class="fa fa-plus"></i> Apply Leave
                                                                </button></a>   
                                                            </div>
                                                            <?php 
                                                               
                                                                if($admin == 1){
                                                                    $query = mysqli_query($con,"SELECT * FROM users u,staff_apply_leave sl WHERE u.id = sl.staff_id ORDER BY STR_TO_DATE(sl.end_datetime, '%d/%m/%Y') DESC, STR_TO_DATE(sl.start_datetime, '%d/%m/%Y') DESC"); 
                                                                    $query2 = mysqli_query($con,"SELECT DISTINCT u.username FROM users u,staff_apply_leave sl WHERE u.id = sl.staff_id ORDER BY u.username ASC"); 
                                                                } else {
                                                                    $query = mysqli_query($con,"SELECT * FROM users u,staff_apply_leave sl WHERE u.id = sl.staff_id AND sl.staff_id = '$id' ORDER BY STR_TO_DATE(sl.end_datetime, '%d/%m/%Y') DESC, STR_TO_DATE(sl.start_datetime, '%d/%m/%Y') DESC"); 
                                                                }
                                                                $row_count = mysqli_num_rows($query);
                                                                if($row_count == 0) {
                                                                    echo '<div style="display:flex;height:100px"><span style="text-align:center;margin:auto;font-size:18px">No Any Applied Leave Records.</span></div>';
                                                                } else {
                                                                    echo '
                                                                    <div style="margin:15px 22px 0px 22px;padding:10px; background:aliceblue" class="lblNotify" >
                                                                        <div class="badge badge-info" style="padding:6px;float:left">Progressing</div>
                                                                        <div style="padding:3px 17px 0px 5px;float:left;font-weight:bold">Waiting to HR Approval</div>
                                                                        <br style="display:none" class="break"/><br style="display:none" class="break"/>
                                                                        <div class="badge badge-success" style="padding:6px;float:left">Approved</div>
                                                                        <div style="padding:2px 17px 0px 5px;float:left;font-weight:bold">Approved</div>
                                                                        <br style="display:none" class="break"/><br style="display:none" class="break"/>
                                                                        <div class="badge badge-danger" style="padding:6px;float:left">Rejected</div>
                                                                        <div style="padding:2px 17px 0px 5px;float:left;font-weight:bold">Rejected</div>
                                                                        <br style="display:none" class="break"/><br style="display:none" class="break"/>
                                                                        <div class="badge badge-warning" style="padding:6px;float:left">&nbsp;</div>
                                                                        <div style="padding:2px 17px 0px 5px;float:left;font-weight:bold">Emergency</div>
                                                                        <br style="display:none" class="break"/><br style="display:none" class="break"/>
                                                                        <div class="badge badge-light" style="padding:6px;float:left"><i class="fa fa-bolt"></i></div>
                                                                        <div style="padding:2px 17px 0px 5px;float:left;font-weight:bold">Incoming</div>';
                                                                    echo '</div>
                                                                    <div class="card-body card-dashboard">';
                                                                        if($admin == 1){
                                                                            echo'<span style="margin-left: 15px">Employee Name :</span> 
                                                                            <select style="margin: 10px; display: inline-flex;height:auto" class="form-control" id="slStaffNameLS">
                                                                                <option value="">-- Any --</option>';
                                                                                while($row2 = mysqli_fetch_array($query2))
                                                                                { 
                                                                                    echo '<option value="'.$row2["username"].'">'.$row2["username"].'</option>';
                                                                                }
                                                                            echo '</select>';
                                                                        }
                                                                        echo '<table id="tblAL" class="table table-striped table-bordered base-style" style="text-align:center;table-layout:fixed">
                                                                            <thead>
                                                                                <tr>
                                                                                    <th>Employee Name</th>
                                                                                    <th>Type Of Leave</th>
                                                                                    <th>Date</th>
                                                                                    <th>Reason</th>
                                                                                    <th>Status</th>
                                                                                    <th>Action</th>
                                                                                    <th>Action</th>
                                                                                </tr>
                                                                            </thead>
                                                                            <tbody>'; 
                                                                                while($row = mysqli_fetch_array($query)){
                                                                                if($row['emergency'] == 1){
                                                                                    echo '<tr style="background: #FAC9B1">';
                                                                                } else {
                                                                                    echo '<tr>';
                                                                                }
                                                                                    
                                                                                echo '<td class="name">'.$row['username'].'</td>
                                                                                    <td>'.$row['leave_type'].'</td>
                                                                                    <td>';
                                                                                        $from =  substr($row['start_datetime'],-4)."/".substr($row['start_datetime'],3,2)."/".substr($row['start_datetime'],0,2);
                                                                                        $to =  substr($row['end_datetime'],-4)."/".substr($row['end_datetime'],3,2)."/".substr($row['end_datetime'],0,2);
                                                                                        $start=date_create($to);
                                                                                        $end=date_create($from);
                                                                                        $diff=date_diff($start,$end);
                                                                                        $numDay = $diff->format('%a') + 1;
                                                                                        $day = $numDay > 1 ? " days" : " day";
                                                                                    
                                                                                        if($row['end_datetime'] == $row['start_datetime']) {
                                                                                            if($row['half_day'] == 0) {
                                                                                                echo $row['end_datetime']."<br/>(".$numDay.$day.")";
                                                                                            } else {
                                                                                                echo $row['end_datetime']."<br/>( 0.5 day)";
                                                                                            }
                                                                                        } else {
                                                                                            echo substr($row['start_datetime'],0,5)." - ".$row['end_datetime']."<br/>(".$numDay.$day.")";
                                                                                        } 
                                                                                        echo'</td>
                                                                                    <td>'.$row['reason'].'</td>
                                                                                    <td>';
                                                                                        if($row['status'] == 1){
                                                                                            if($row['incoming'] == 1){
                                                                                                echo  '<div class="badge badge-info " style="padding:6px">&nbsp;<i class="fa fa-bolt blink"></i>&nbsp;&nbsp;Progressing</div>';
                                                                                            } else {
                                                                                                echo  '<div class="badge badge-info" style="padding:6px">Progressing</div>';
                                                                                            }
                                                                                        } else if($row['status'] == 2){
                                                                                            if($row['incoming'] == 1){
                                                                                                echo  '<div class="badge badge-success" style="padding:6px">&nbsp;<i class="fa fa-bolt"></i>&nbsp;&nbsp;Approved</div>';
                                                                                            } else {
                                                                                                echo  '<div class="badge badge-success" style="padding:6px">Approved</div>';
                                                                                            }
                                                                                        } else {
                                                                                            echo  '<div class="badge badge-danger" style="padding:6px">Rejected</div>';
                                                                                        }  
                                                                                    echo'</td>
                                                                                    <td><a href="applyLeaveInfo.php?'.base64_encode("fid").'='.base64_encode($row['id']).'">
                                                                                        <div style="font-size:14px;color:#6495ed"><i class="ft-external-link"></i>&nbsp;Read More</div></a></td>
                                                                                    <td><a>
                                                                                        <div style="font-size:14px;color:#404E67" onclick="removeRecord(1,'.$row['id'].')"><i class="ft-trash-2"></i>&nbsp;Remove</div></a></td>
                                                                                        </tr>';
                                                                                }
                                                                            echo '</tbody>
                                                                        </table>
                                                                    </div>'; }?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </section>
                                        </div>
                                        <!--MC Summary-->
                                        <div class="tab-pane" id="MC" role="tabpanel" aria-labelledby="link-tab"
                                            aria-expanded="false">
                                            <section id="base-style">
                                                <div class="row">
                                                    <div class="col-12">
                                                        <div class="card">
                                                            <div class="card-header">
                                                                <h4 class="card-title" id="striped-row-layout-icons"><b>Medical Leave Summary</b></h4>
                                                            </div>
                                                            <div class="form-actions right" style="text-align:right;margin-right:10px" >
                                                                <?php
                                                                 $query = mysqli_query($con,"SELECT num_mc AS total_leave FROM staff_leave WHERE staff_id = $id"); 
                                                                 $row=mysqli_fetch_array($query);
                                                                 if($row['total_leave'] > 0){ ?>
                                                                     <a href="applyMC.php" target="_blank"><button type="button" class="btn button" id="btnApplyLeave">
                                                                     <i class="fa fa-plus"></i>&nbsp;&nbsp;Apply Medical Leave
                                                                     </button></a>   
                                                                 <?php } else {
                                                                     echo '<div style="margin-bottom:10px"><span style="border-radius:8px;background:#FFCC00;padding:10px">
                                                                        <i class="fa fa-exclamation-circle"></i>&nbsp;&nbsp;No left any leave.</span></div>';
                                                                 }?> 
                                                            </div>
                                                            <?php 
                                                                 
                                                                if($admin == 1){
                                                                    $query = mysqli_query($con,"SELECT * FROM users u,staff_apply_mc m WHERE u.id = m.staff_id ORDER BY STR_TO_DATE(m.end_date, '%d/%m/%Y') DESC, STR_TO_DATE(m.start_date, '%d/%m/%Y') DESC");
                                                                    $query2 = mysqli_query($con,"SELECT DISTINCT u.username FROM users u,staff_apply_mc m WHERE u.id = m.staff_id ORDER BY u.username ASC");
                                                                } else {
                                                                    $query = mysqli_query($con,"SELECT * FROM users u,staff_apply_mc m WHERE u.id = m.staff_id AND m.staff_id = '$id' ORDER BY STR_TO_DATE(m.end_date, '%d/%m/%Y') DESC, STR_TO_DATE(m.start_date, '%d/%m/%Y') DESC"); 
                                                                }
                                                                $row_count = mysqli_num_rows($query);
                                                                if($row_count == 0) {
                                                                    echo '<div style="display:flex;height:100px"><span style="text-align:center;margin:auto;font-size:18px">No Any Medical Leave Records.</span></div>';
                                                                } else {
                                                                    echo '<div class="card-body card-dashboard">';
                                                                    if($admin == 1){
                                                                        echo'<span style="margin-left: 15px">Employee Name :</span> 
                                                                        <select style="margin: 10px; display: inline-flex;height:auto" class="form-control" id="slStaffNameMC">
                                                                            <option value="">-- Any --</option>';
                                                                            while($row2 = mysqli_fetch_array($query2))
                                                                            { 
                                                                                echo '<option value="'.$row2["username"].'">'.$row2["username"].'</option>';
                                                                            }
                                                                        echo '</select>';
                                                                    }
                                                                    echo '<table id="tblMC" class="table table-striped table-bordered base-style" style="text-align:center;table-layout:fixed">
                                                                            <thead>
                                                                                <tr>
                                                                                    <th>Employee Name</th>
                                                                                    <th>Date</th>
                                                                                    <th>Action</th>
                                                                                    <th>Action</th>
                                                                                </tr>
                                                                            </thead>
                                                                            <tbody>';
                                                                        while($row = mysqli_fetch_array($query))
                                                                        { echo'
                                                                        <tr>
                                                                            <td>'.$row['username'].'</td>';
                                                                            echo '<td>';
                                                                                $from =  substr($row['start_date'],-4)."/".substr($row['start_date'],3,2)."/".substr($row['start_date'],0,2);
                                                                                $to =  substr($row['end_date'],-4)."/".substr($row['end_date'],3,2)."/".substr($row['end_date'],0,2);
                                                                                $start=date_create($to);
                                                                                $end=date_create($from);
                                                                                $diff=date_diff($start,$end);
                                                                                $numDay = $diff->format('%a') + 1;
                                                                                $day = $numDay > 1 ? " days" : " day";
                                                                              
                                                                                if($row['end_date'] == $row['start_date']) {
                                                                                    echo $row['end_date']."<br/>(".$numDay.$day.")";
                                                                                } else {
                                                                                    echo substr($row['start_date'],0,5)." - ".$row['end_date']."<br/>(".$numDay.$day.")";
                                                                                }
                                                                            echo'</td>';
                                                                            echo'
                                                                            <td><a href="applyMCInfo.php?'.base64_encode("fid").'='.base64_encode($row['id']).'">
                                                                                <div style="font-size:14px;color:#6495ed"><i class="ft-external-link"></i>&nbsp;Read More</div></a></td>
                                                                            <td><a>
                                                                                <div style="font-size:14px;color:#404E67" onclick="removeRecord(3,'.$row['id'].')"><i class="ft-trash-2"></i>&nbsp;Remove</div></a></td>
                                                                                </tr>';
                                                                                    }
                                                                            echo '</tbody>
                                                                        </table>
                                                                    </div>'; }?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </section>
                                        </div>
                                        <!--Off In Lieu Status-->
                                        <div class="tab-pane" id="OILS" role="tabpanel" aria-labelledby="link-tab"
                                            aria-expanded="false">
                                            <section id="base-style">
                                                <div class="row">
                                                    <div class="col-12">
                                                        <div class="card">
                                                            <div class="card-header">
                                                                <h4 class="card-title" id="striped-row-layout-icons"><b>Applied Off In Lieu Status</b></h4>
                                                            </div>
                                                            <div class="form-actions right" style="text-align:right;margin-right:10px" >
                                                                <a href="./applyOffInLieu.php" target="_blank"><button type="button" class="btn button" id="btnApplyLeave">
                                                                    <i class="fa fa-plus"></i>&nbsp;&nbsp;Apply Off In Lieu
                                                                </button></a>
                                                            </div>
                                                            <?php 
                                                                 
                                                                if($admin == 1){
                                                                    $query = mysqli_query($con,"SELECT * FROM users u,staff_apply_offinlieu o WHERE u.id = o.staff_id ORDER BY STR_TO_DATE(o.end_date, '%d/%m/%Y') DESC, STR_TO_DATE(o.start_date, '%d/%m/%Y') DESC");
                                                                    $query2 = mysqli_query($con,"SELECT DISTINCT u.username FROM users u,staff_apply_offinlieu o WHERE u.id = o.staff_id ORDER BY u.username ASC");
                                                                } else {
                                                                    $query = mysqli_query($con,"SELECT * FROM users u,staff_apply_offinlieu o WHERE u.id = o.staff_id AND o.staff_id = '$id' ORDER BY STR_TO_DATE(o.end_date, '%d/%m/%Y') DESC, STR_TO_DATE(o.start_date, '%d/%m/%Y') DESC"); 
                                                                }
                                                                $row_count = mysqli_num_rows($query);
                                                                if($row_count == 0) {
                                                                    echo '<div style="display:flex;height:100px"><span style="text-align:center;margin:auto;font-size:18px">No Any Applied Off In Lieu Records.</span></div>';
                                                                } else {
                                                                    echo '
                                                                    <div style="margin:15px 22px 0px 22px;padding:10px; background:aliceblue" class="lblNotify" >
                                                                        <div class="badge badge-info" style="padding:6px;float:left">Progressing</div>
                                                                        <div style="padding:3px 17px 0px 5px;float:left;font-weight:bold">Waiting to HR Approval</div>
                                                                        <br style="display:none" class="break"/><br style="display:none" class="break"/>
                                                                        <div class="badge badge-success" style="padding:6px;float:left">Approved</div>
                                                                        <div style="padding:2px 17px 0px 5px;float:left;font-weight:bold">Approved</div>
                                                                        <br style="display:none" class="break"/><br style="display:none" class="break"/>
                                                                        <div class="badge badge-danger" style="padding:6px;float:left">Rejected</div>
                                                                        <div style="padding:2px 17px 0px 5px;float:left;font-weight:bold">Rejected</div>
                                                                    </div>
                                                                    <div class="card-body card-dashboard">';
                                                                    if($admin == 1){
                                                                        echo'<span style="margin-left: 15px">Employee Name :</span> 
                                                                        <select style="margin: 10px; display: inline-flex;height:auto" class="form-control" id="slStaffNameOILS">
                                                                            <option value="">-- Any --</option>';
                                                                            while($row2 = mysqli_fetch_array($query2))
                                                                            { 
                                                                                echo '<option value="'.$row2["username"].'">'.$row2["username"].'</option>';
                                                                            }
                                                                        echo '</select>';
                                                                    }
                                                                    echo '<table id="tblOILS" class="table table-striped table-bordered base-style" style="text-align:center;table-layout:fixed">
                                                                            <thead>
                                                                                <tr>
                                                                                    <th>Employee Name</th>
                                                                                    <th>Project Name</th>
                                                                                    <th>Date</th>
                                                                                    <th>Project Details</th>
                                                                                    <th>Status</th>
                                                                                    <th>Action</th>
                                                                                    <th>Action</th>
                                                                                </tr>
                                                                            </thead>
                                                                            <tbody>';
                                                                        while($row = mysqli_fetch_array($query))
                                                                        { echo'
                                                                        <tr>
                                                                            <td>'.$row['username'].'</td>';
                                                                            if($row['project_type'] == 'Other'){
                                                                                echo '<td>'.$row['project_name'].'<br/>('.$row['project_type2'].')</td>';
                                                                            } else {
                                                                                echo '<td>'.$row['project_name'].'<br/>('.$row['project_type'].')</td>';
                                                                            }
                                                                            echo '<td>';
                                                                                $from =  substr($row['start_date'],-4)."/".substr($row['start_date'],3,2)."/".substr($row['start_date'],0,2);
                                                                                $to =  substr($row['end_date'],-4)."/".substr($row['end_date'],3,2)."/".substr($row['end_date'],0,2);
                                                                                $start=date_create($to);
                                                                                $end=date_create($from);
                                                                                $diff=date_diff($start,$end);
                                                                                $numDay = $diff->format('%a') + 1;
                                                                                $day = $numDay > 1 ? " days" : " day";
                                                                              
                                                                                if($row['end_date'] == $row['start_date']) {
                                                                                    echo $row['end_date']."<br/>(".$numDay.$day.")";
                                                                                } else {
                                                                                    echo substr($row['start_date'],0,5)." - ".$row['end_date']."<br/>(".$numDay.$day.")";
                                                                                }
                                                                            echo'</td>
                                                                            <td>'.$row['project_details'].'</td>
                                                                            <td>';
                                                                            if($row['status'] == 1){
                                                                                echo  '<div class="badge badge-info" style="padding:6px">Progressing</div>';
                                                                            } else if($row['status'] == 2){
                                                                            echo  '<div class="badge badge-success" style="padding:6px">Approved</div>';
                                                                            } else {
                                                                                echo  '<div class="badge badge-danger" style="padding:6px">Rejected</div>';
                                                                            }  
                                                                            echo'</td>
                                                                            <td><a href="applyOffInLieuInfo.php?'.base64_encode("fid").'='.base64_encode($row['id']).'">
                                                                                <div style="font-size:14px;color:#6495ed"><i class="ft-external-link"></i>&nbsp;Read More</div></a></td>
                                                                            <td><a>
                                                                                <div style="font-size:14px;color:#404E67" onclick="removeRecord(2,'.$row['id'].')"><i class="ft-trash-2"></i>&nbsp;Remove</div></a></td>
                                                                                </tr>';
                                                                                    }
                                                                            echo '</tbody>
                                                                        </table>
                                                                    </div>'; }?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </section>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<script type="text/javascript" src="assets/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript">
    $(document).ready(function(){
        var currTab = window.location.hash.substr(1, window.location.hash.length);
        switch (currTab) {
            case "LSum":
                $('#tabLSum').addClass("active");
                $("#LSum").addClass("active in");
                break;
            case "LS":
                $('#tabLS').addClass("active");
                $("#LS").addClass("active in");
                break;
            case "OILS":
                $('#tabOILS').addClass("active");
                $("#OILS").addClass("active in");
                break;
            case "MC":
                $('#tabMC').addClass("active");
                $("#MC").addClass("active in");
                break;
            default:
                $('#tabLSum').addClass("active");
                $("#LSum").addClass("active in");
        }
        

        var table = $('#tblLSum').DataTable({
            "order": [],
            "autoWidth" : false,
            columnDefs: [
             { "width": "20%", "targets": [1,2,3] }
            ]
        });

        $("#slStaffNameLSum").change(function() {
                table
                .columns(0)
                .search( this.value )
                .draw();
        });

        $("#tblLSum_filter input").on('keydown',function(){
            $('#slStaffNameLSum').get(0).selectedIndex = 0;
            table.columns().search("");
        })

        var table2 = $('#tblAL').DataTable({
            "order": []
        });

        $("#slStaffNameLS").change(function() {
                table2
                .columns(0)
                .search( this.value )
                .draw();
        });

        $("#tblAL_filter input").on('keydown',function(){
            $('#slStaffNameLS').get(0).selectedIndex = 0;
            table2.columns().search("");
        })

        var table3 = $('#tblOILS').DataTable({
            "order": []
        });

        $("#slStaffNameOILS").change(function() {
                table3
                .columns(0)
                .search( this.value )
                .draw();
        });

        $("#tblOILS_filter input").on('keydown',function(){
            $('#slStaffNameOILS').get(0).selectedIndex = 0;
            table3.columns().search("");
        })
        
        var table4 = $('#tblMC').DataTable({
            "order": []
        });

        $("#slStaffNameMC").change(function() {
                table4
                .columns(0)
                .search( this.value )
                .draw();
        });

        $("#tblMC_filter input").on('keydown',function(){
            $('#slStaffNameMC').get(0).selectedIndex = 0;
            table4.columns().search("");
        })
    });

    function removeRecord(type,id){
        var result = confirm("Want to remove this record?")
        if(result){
            if(type == 1){
                window.location = './actions/leaveRecordDelete.php?'+btoa('fid')+'='+btoa(id)+"&"+btoa('tid')+'='+btoa('AL');
            } else if(type == 2) {
                window.location = './actions/leaveRecordDelete.php?'+btoa('fid')+'='+btoa(id)+"&"+btoa('tid')+'='+btoa('OIL');
            } else {
                window.location = './actions/leaveRecordDelete.php?'+btoa('fid')+'='+btoa(id)+"&"+btoa('tid')+'='+btoa('MC');
            }
            return false;
        } else {
            return false;
        }
    }
    
</script>

<?php
include 'footer.php';
?>