<?php
    include 'header.php';
?>

<div class="app-content content">
    <div class="content-wrapper">
        <div class="content-body">
            <div class="row">
                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-content">
                                <div class="card-body"> 
                                    <div class="card-header">
                                        <h4 class="card-title" id="striped-row-layout-icons"><b>Employee Registration Form</b></h4>
                                    </div>
                                    <form class="form form-horizontal striped-rows form-bordered" action="./actions/staffRegister.php" method="post">
                                        <div class="form-body">
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStaffUsername" style="margin-top:8px">Employee Name</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="text" id="txtStaffUsername" class="form-control" placeholder="Enter Employee Name" name="username">
                                                        <div class="form-control-position">
                                                            <i class="fa fa-address-card"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStaffEmail" style="margin-top:8px">Email Address</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="text" id="txtStaffEmail" class="form-control" placeholder="Enter Email Address" name="email" onchange="checkEmail();" >
                                                        <div class="form-control-position">
                                                            <i class="ft-mail"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStaffPassword" style="margin-top:8px">Password</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative  append">
                                                        <div class="position-relative has-icon-left">
                                                            <input type="password" id="txtStaffPassword" class="form-control" placeholder="Enter Password" name="password" data-toggle="password">
                                                            <div class="form-control-position">
                                                                <i class="fa fa-key"></i>
                                                            </div>
                                                        </div>
                                                        <div class="form-control-position" id="tgStaffPassword">
                                                            <i class="fa fa-eye"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="slStaffRole"  style="margin-top:8px">Employee Role</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <select name="role" id="slStaffRole" class="form-control">
                                                            <option value="Admin & Finance Officer">Admin & Finance Officer</option>
                                                            <option value="Creative Director">Creative Director</option>
                                                            <option value="Head of Content Development">Head of Content Development</option>
                                                            <option value="Multimedia Designer">Multimedia Designer</option>
                                                            <option value="Programmer">Programmer</option>
                                                            <option value="Writer">Writer</option>
                                                            <option value="Others">Others</option>
                                                        </select>
                                                        <input type="text" id="txtStaffRole" class="form-control" placeholder="Enter Employee Role" name="role2" style="display:none;margin-top:5px">
                                                        <div class="form-control-position">
                                                            <i class="fa fa-briefcase"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div> 
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="chkPermissions">Permissions</label>
                                                <div class="col-md-9" style="margin-top:5px;padding-left:26px">
                                                    <div class="d-inline-block custom-control custom-checkbox mr-1">
                                                        <input type="checkbox" class="custom-control-input" id="chkAdmin" name="admin" value="1">
                                                        <label class="custom-control-label"
                                                            for="chkAdmin">Admin</label>
                                                    </div>
                                                </div>
                                             </div>
                                             <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtStartDate" style="margin-top:8px">Start Onboarding</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="text" id="txtStartOnboarding"
                                                            class="form-control" name="startOnboarding">
                                                        <div class="form-control-position">
                                                            <i class="ft-calendar"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>   
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtNumberAnnual" style="margin-top:8px">Annual Leave Balance (Days)</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="number" id="txtNumberAnnual" class="form-control" name="numAnnual"
                                                            value="8"
                                                        >
                                                        <div class="form-control-position">
                                                            <i class="ft-clock"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtNumberOffInLieu" style="margin-top:8px">Off In Lieu Balance (Days)</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="number" id="txtNumberOffInLieu" class="form-control" name="numOffInLieu"
                                                            value="2"
                                                        >
                                                        <div class="form-control-position">
                                                            <i class="ft-clock"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div> 
                                            <div class="form-group row">
                                                <label class="col-md-3 label-control" for="txtNumberMC" style="margin-top:8px">Medical Leave Balance (Days)</label>
                                                <div class="col-md-9">
                                                    <div class="position-relative has-icon-left">
                                                        <input type="number" id="txtNumberMC" class="form-control" name="numMC"
                                                            value="0"
                                                        >
                                                        <div class="form-control-position">
                                                            <i class="ft-clock"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-actions right">
                                            <button type="submit" class="btn btn-primary" id="btnRegister" style="margin-right:20px;">
                                                <i class="fa fa-check-square-o"></i> Register
                                            </button>
                                            <a  href="./staff.php">
                                                <button type="button" class="btn btn-secondary" id="btnBack">
                                                    <i class="fa fa-arrow-left"></i>&nbsp;&nbsp;Back
                                                </button>
                                            </a>
                                        </div>
                                    </form>                 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript" src="assets/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="assets/js/jquery.datetimepicker.full.js"></script>
<script type="text/javascript">
    var img = false;
    $('#tgStaffPassword').click(function(){
        img = !img;
        if(img) {
            $('#txtStaffPassword').attr('type', 'text');
            $('#tgStaffPassword i').removeClass('fa fa-eye');
            $('#tgStaffPassword i').addClass('fa fa-eye-slash');
        } else {
            $('#txtStaffPassword').attr('type', 'password');
            $('#tgStaffPassword i').removeClass('fa fa-eye-slash');
            $('#tgStaffPassword i').addClass('fa fa-eye');
        }
    });
    
    $('#slStaffRole').change(function(){
        var role = $('#slStaffRole').val();
        if(role == "Others"){
            $('#txtStaffRole').css('display','block');
        } else {
             $('#txtStaffRole').css('display','none');
             $('#txtStaffRole').val('');
        }
    });

    $('#txtStartOnboarding').datetimepicker({
        format:'d/m/Y',
        timepicker: false,
        value: new Date()
    });

    $('#btnRegister').click(function() {
        if($('#txtStaffUsername').val() == ""){
            alert('Please insert the staff username.');
            $('#txtStaffUsername').val('');
            $('#txtStaffUsername').focus();
             return false;
        }
        
        if($('#txtStaffEmail').val() == ""){
            alert('Please insert the staff email.');
            $('#txtStaffEmail').val('');
            $('#txtStaffEmail').focus();
            return false;
        }
        
        if($('#txtStaffPassword').val() == ""){
            alert('Please insert the staff password.');
            $('#txtStaffPassword').val('');
            $('#txtStaffPassword').focus();
             return false;
        }
        
        if($('#slStaffRole').val() == 'Others' && $('#txtStaffRole').val() == ""){
            alert('Please insert the staff role.');
            $('#txtStaffRole').val('');
            $('#txtStaffRole').focus();
            return false;
        } 
            
        alert("Success to register new employee.");
        
    });

    function checkEmail(){
        var email = $('#txtStaffEmail').val();
    	if (validateEmail(email)) {
    	    if(email){
                $.ajax({
                    type: 'post',
                    url: './actions/checkData.php',
                    data: {
                    user_email:email,
                },
                success: function (response) {
                    if(response=="OK")	{
                        return true;	
                    } else {
                        alert('The email Address is already exist! Please insert another email address.');
                        $('#txtStaffEmail').val('');
                        $('#txtStaffEmail').focus();
                        return false;	
                    }
                }
                });
            }
    	} else {
	        alert('Please insert a valid email address');
            $('#txtStaffEmail').val('');
            $('#txtStaffEmail').focus();
    	}
    }
    
    function validateEmail(email) {
		var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
		return re.test(email);
	}

</script>

<?php
include 'footer.php';
?>