<?php 
    if(!isset($_GET[base64_encode('uid')]) || $_GET[base64_encode('uid')] == ""){
        echo '<meta http-equiv="refresh" content="0;URL=index.php">';
        $uid = "";
    } else {
        $uid = base64_decode($_GET[base64_encode('uid')]);
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<title>Change Password Page (Development version)</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="icon" type="image/png" href="assets/images/ico/favicon.ico"/>
	<link rel="stylesheet" type="text/css" href="assets/css/bootstrap.css">
	<link rel="stylesheet" type="text/css" href="assets/fonts/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="assets/fonts/iconic/css/material-design-iconic-font.min.css">
	<link rel="stylesheet" type="text/css" href="assets/css/util.css">
	<link rel="stylesheet" type="text/css" href="assets/css/main.css">
	<link rel="stylesheet" type="text/css" href="assets/css/style.css">

</head>
<body>
	
	<div class="limiter">
		<div class="container-login100" style="background-image: url('assets/images/login-bg.jpg');">
			<div class="wrap-login100">
				<form class="login100-form validate-form" action="<?php echo'./actions/changePassword.php?'.base64_encode("uid").'='.$_GET[base64_encode('uid')];?>" method="post">
					
					<span class="login100-form-logo">
						<i class="zmdi zmdi-landscape"></i>
					</span><br>
					<span class="login100-form-title p-b-34 p-t-27" >
						Change Password
					</span>
                    <div style="display:table">
                        <div style="display:table-row">
        					<div class="wrap-input100 validate-input" data-validate="Enter your new password" id="divNewPassword" style="display:table-cell; width: 34%">
        						<input class="input100" type="password" name="newPassword" placeholder="New Password" id="txtStaffNewPassword">
        						<span class="focus-input100" data-placeholder="&#xf191;"></span>
        					</div>
        					<div class="form-control-position  chkStaffNewPassword" id="tgStaffPassword" style="display:table-cell;background: #FFFFFF">
                                <i class="fa fa-eye" id="iconNewPassword" style="padding-left: 35%"></i>
                            </div>
                        </div>
                    </div>
					
					<div style="display:table;margin: 8% 0">
                        <div style="display:table-row">
        					<div class="wrap-input100 validate-input" data-validate="Enter your password" id="divConfirmPassword" style="display:none; width: 34%">
        						<input class="input100" type="password" name="confirmPassword" placeholder="Confirm Password" id="txtStaffConfirmPassword">
        						<span class="focus-input100" data-placeholder="&#xf191;"></span>
        					</div>
        					<div class="form-control-position  chkStaffConfirmPassword" id="tgStaffPassword" style="display:none;background: #FFFFFF">
                                <i class="fa fa-eye" id="iconConfirmPassword" style="padding-left: 35%"></i>
                            </div>
					    </div>
                    </div>

					<div class="container-login100-form-btn" id="divBtnSave" style="display:none">
						<button type="submit" name="submit" class="login100-form-btn" id="btnSubmit">
							Save
						</button>
					</div>
					<div class="text-center" style="margin-top: 4%">
						<a class="txt1" href="./index.php">← Back to Login Page</a>
					</div>
				</form>
			</div>
		</div>
	</div>

    <script type="text/javascript" src="assets/js/jquery-3.4.1.min.js"></script>
    <script type="text/javascript">
         $(document).ready(function(){
             
        });
        
        $("#txtStaffNewPassword").change(function(){
            if($("#txtStaffNewPassword").val() != ''){
                var n_pass = $('#txtStaffNewPassword').val();
                if( n_pass == "team1234"){
                    alert('Please make sure new password is different with the default password.');
                    $('#txtStaffNewPassword, #txtStaffConfirmPassword').val('');
                    $('#txtStaffNewPassword').focus();
                    $('#divConfirmPassword, .chkStaffConfirmPassword, #divBtnSave').css('display', 'none');
                    return false; 
                } else{
                    $('#divConfirmPassword, .chkStaffConfirmPassword').css('display', 'table-cell');
                }
            }
        });
        
        $("#txtStaffConfirmPassword").change(function(){
            if($("#txtStaffConfirmPassword").val() != ''){
                var n_pass = $('#txtStaffNewPassword').val();
                var c_pass = $('#txtStaffConfirmPassword').val();
                if(n_pass == c_pass){
                    $('#divBtnSave').css('display', 'flex');
                    return true;
                } else {
                    alert('Both passwords are not paired. Please insert again.');
                    $('#txtStaffNewPassword, #txtStaffConfirmPassword').val('');
                    $('#txtStaffNewPassword').focus();
                    $('#divConfirmPassword, .chkStaffConfirmPassword, #divBtnSave').css('display', 'none');
                    return false;
                }
            }
        });
        
        $(".chkStaffNewPassword").click(function(){
            var x = $('#txtStaffNewPassword')[0];
            if (x.type == "password") {
                x.type = "text";
                $('#iconNewPassword').removeClass('fa fa-eye');
                $('#iconNewPassword').addClass('fa fa-eye-slash');
            } else {
                x.type = "password";
                $('#iconNewPassword').removeClass('fa fa-eye-slash');
                $('#iconNewPassword').addClass('fa fa-eye');
            }
        });
    
        $(".chkStaffConfirmPassword").click(function(){
            var x = $('#txtStaffConfirmPassword')[0];
            if (x.type == "password") {
                x.type = "text";
                $('#iconConfirmPassword').removeClass('fa fa-eye');
                $('#iconConfirmPassword').addClass('fa fa-eye-slash');
            } else {
                x.type = "password";
                $('#iconConfirmPassword').removeClass('fa fa-eye-slash');
                $('#iconConfirmPassword').addClass('fa fa-eye');
            }
        });
        
        $('#btnSubmit').click(function() {
            if($('#txtStaffNewPassword').val() == ""){
                alert('Please insert your new password.');
                $('#txtStaffNewPassword, #txtStaffConfirmPassword').val('');
                $('#txtStaffNewPassword').focus();
                return false;
            }
            if($('#txtStaffConfirmPassword').val() == ""){
                alert('Please insert your new password again.');
                $('#txtStaffConfirmPassword').val('');
                $('#txtStaffConfirmPassword').focus();
                return false;
            }
            alert("Success to update your new password.");
        });
    </script>
</body>
</html>